aboutsummaryrefslogtreecommitdiffstats
path: root/main/linux-grsec/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-06-08 14:05:50 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-06-08 14:05:50 +0000
commit1141c5f9b482038c40aeb42caaf4a21d7bac3447 (patch)
tree78ba4180cb4ab3bd382475e7c8d4e3508a20d072 /main/linux-grsec/APKBUILD
parent2214577d304e6e0099a902315981d0b908b1b818 (diff)
downloadaports-1141c5f9b482038c40aeb42caaf4a21d7bac3447.tar.gz
aports-1141c5f9b482038c40aeb42caaf4a21d7bac3447.tar.bz2
aports-1141c5f9b482038c40aeb42caaf4a21d7bac3447.tar.xz
main/linux-grsec: make sure all patches are applied
Diffstat (limited to 'main/linux-grsec/APKBUILD')
-rw-r--r--main/linux-grsec/APKBUILD16
1 files changed, 9 insertions, 7 deletions
diff --git a/main/linux-grsec/APKBUILD b/main/linux-grsec/APKBUILD
index 48464c1060..b3126d2ec2 100644
--- a/main/linux-grsec/APKBUILD
+++ b/main/linux-grsec/APKBUILD
@@ -4,7 +4,7 @@ _flavor=grsec
pkgname=linux-${_flavor}
pkgver=2.6.32.15
_kernver=2.6.32
-pkgrel=2
+pkgrel=3
pkgdesc="Linux kernel with grsecurity"
url=http://grsecurity.net
depends="mkinitfs linux-firmware"
@@ -46,12 +46,14 @@ prepare() {
bunzip2 -c < ../patch-$pkgver.bz2 | patch -p1 -N || return 1
fi
- # first apply the grsecurity patch and then the rest
- for i in "$srcdir"/grsecurity*.patch "$srcdir"/0[0-9]*.patch \
- "$srcdir"/xfrm*; do
- [ -f $i ] || continue
- msg "Applying $i..."
- patch -s -p1 -N < $i || return 1
+ # first apply patches in specified order
+ for i in $source; do
+ case $i in
+ *.patch)
+ msg "Applying $i..."
+ patch -s -p1 -N < "$srcdir"/$i || return 1
+ ;;
+ esac
done
mkdir -p "$srcdir"/build